%global pname colorspacious
%global with_html 1

Name: python-%{pname}
Version: 1.0.0
Release: 6%{?dist}
Summary: Perform colorspace conversions accurately and easily
License: MIT
URL: https://github.com/njsmith/colorspacious
Source0: https://files.pythonhosted.org/packages/source/c/%{pname}/%{pname}-%{version}.zip
# https://github.com/njsmith/colorspacious/issues/6
Patch0: %{name}-utf8.patch
%if %{with_html}
BuildRequires: graphviz
BuildRequires: python-ipython-sphinx
BuildRequires: python-sphinxcontrib-bibtex
BuildRequires: python2-functools32
BuildRequires: python2-matplotlib
%endif
BuildArch: noarch

%global desc \
Colorspacious is a powerful, accurate, and easy-to-use library for\
performing colorspace conversions.\
\
In addition to the most common standard colorspaces (sRGB, XYZ, xyY,\
CIELab, CIELCh), we also include: color vision deficiency ("color\
blindness") simulations using the approach of Machado et al (2009);\
a complete implementation of CIECAM02; and the perceptually uniform\
CAM02-UCS / CAM02-LCD / CAM02-SCD spaces proposed by Luo et al (2006).

%description
%{desc}

%package doc
Summary: HTML documentation for python colorspacious module

%description doc
%{desc}

This package contains the HTML documentation.

%package -n python2-%{pname}
Summary: Perform colorspace conversions accurately and easily
BuildRequires: python2-devel
BuildRequires: python2-numpy
Requires: python2-numpy
%{?python_provide:%python_provide python2-%{pname}}

%description -n python2-%{pname}
%{desc}

This package contains the python2 module.

%package -n python3-%{pname}
Summary: Perform colorspace conversions accurately and easily
BuildRequires: python3-devel
BuildRequires: python3-numpy
Requires: python3-numpy
%{?python_provide:%python_provide python3-%{pname}}

%description -n python3-%{pname}
%{desc}

This package contains the python3 module.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
rm -r *.egg-info

%build
%py2_build
%if %{with_html}
pushd doc
PYTHONPATH=`realpath ../build/lib.linux*` make html
popd
%endif
%py3_build

%install
%py2_install
%py3_install

%if %{with_html}
%files doc
%doc doc/_build/html/*
%endif

%files -n python2-%{pname}
%doc README.rst
%{python2_sitelib}/%{pname}-%{version}-py2.?.egg-info
%{python2_sitelib}/%{pname}

%files -n python3-%{pname}
%doc README.rst
%{python3_sitelib}/%{pname}-%{version}-py3.?.egg-info
%{python3_sitelib}/%{pname}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-4
- Rebuild for Python 3.6

* Thu Sep 22 2016 Dominik Mierzejewski <dominik@greysector.net> 1.0.0-3
- use a simpler patch (by QuLogic)
- add missing build dependency for building HTML docs

* Sat Sep 10 2016 Dominik Mierzejewski <dominik@greysector.net> 1.0.0-2
- build python3 package as well

* Sun Jun 05 2016 Dominik Mierzejewski <dominik@greysector.net> 1.0.0-1
- initial build
